Bug 1251407 - server: brick log filled with server_resolve_inode (resolve_gfid+0x88) (dict_copy_with_ref+0xa4) invalid argument
server: brick log filled with server_resolve_inode (resolve_gfid+0x88) (dict_...
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks: 1251409
  Show dependency treegraph
 
Reported: 2015-08-07 05:08 EDT by Vijaikumar Mallikarjuna
Modified: 2016-09-20 02:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1251409 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-08-07 05:08:04 EDT
Brick logs are filled with below error:

usterfs.so.0(dict_copy_with_ref+0xa4) [0x7f0229cba674] ) 0-dict: invalid argument: dict [Argument invalide]
storage1__export-brick_home-brick1-data.log:[2015-08-04 22:34:04.099328] E [dict.c:1418:dict_copy_with_ref] (-->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(server_resolve_inode+0x60) [0x7f021c6f7410] -->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(resolve_gfid+0x88) [0x7f021c6f7188] -->/usr/lib64/libglusterfs.so.0(dict_copy_with_ref+0xa4) [0x7f0229cba674] ) 0-dict: invalid argument: dict [Argument invalide]
storage1__export-brick_home-brick1-data.log:[2015-08-04 22:34:04.099672] E [dict.c:1418:dict_copy_with_ref] (-->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(server_resolve_inode+0x60) [0x7f021c6f7410] -->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(resolve_gfid+0x88) [0x7f021c6f7188] -->/usr/lib64/libglusterfs.so.0(dict_copy_with_ref+0xa4) [0x7f0229cba674] ) 0-dict: invalid argument: dict [Argument invalide]
storage1__export-brick_home-brick1-data.log:[2015-08-04 22:34:04.111712] E [dict.c:1418:dict_copy_with_ref] (-->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(server_resolve_inode+0x60) [0x7f021c6f7410] -->/usr/lib64/glusterfs/3.7.3/xlator/protocol/server.so(resolve_gfid+0x88) [0x7f021c6f7188] -->/usr/lib64/libglusterfs.so.0(dict_copy_with_ref+0xa4) [0x7f0229cba674] ) 0-dict: invalid argument: dict [Argument invalide]




This is a regression which is caused by the fix: http://review.gluster.org/#/c/11661/4
Comment 1 Anand Avati 2015-08-07 05:10:06 EDT
REVIEW: http://review.gluster.org/11859 (protocol/server: call dict_copy_with_ref on a non-null dictionary) posted (#1) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)
Comment 2 Vijaikumar Mallikarjuna 2015-08-07 07:03:06 EDT
Patch http://review.gluster.org/#/c/11718/ fixes this issue
Comment 3 Mike McCune 2016-03-28 19:44:20 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Vijaikumar Mallikarjuna 2016-04-06 23:25:37 EDT
Fix merged "http://review.gluster.org/#/c/11718/"

Note You need to log in before you can comment on or make changes to this bug.